Skip to main content
DELETE
/
api2
/
v1
/
termBases
/
{termBaseUid}
/
concepts
Delete concepts
curl --request DELETE \
  --url https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/concepts \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "concepts": [
    {
      "id": "<string>"
    }
  ]
}
'
import requests

url = "https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/concepts"

payload = { "concepts": [{ "id": "<string>" }] }
headers = {
    "Authorization": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'DELETE',
  headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({concepts: [{id: '<string>'}]})
};

fetch('https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/concepts', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

termBaseUid
string
required

Term base UID

Body

application/json
concepts
object[]
required
Required array length: 1 - 100 elements

Response

No Content